#ifndef JLX12864_H
#define JLX12864_H

#define pgm_read_byte(b) (*(unsigned char *)(b))

/* LCD type: 0 - uc1701, 1 - ssd1306 */
uint8_t lcd_type;

void delay(int i);
void transfer_command(int data);
void transfer_data(int data);
void init_lcd(void);
void lcd_bcklight_on(void);
void lcd_bcklight_off(void);
void lcd_address(uint8_t page, uint8_t column);
void clear_screen(void);
void full_display(uint8_t data1, uint8_t data2);
void test_box(void);
void display_string_5x8(uint8_t page, uint8_t column, uint8_t reverse, char *text);
void test(void);

#endif
